### Method

# FwupdPlugin CoswidFirmware get_device_id

since: 2.0.17

#### Declaration [src]

    const gchar*
    fu_coswid_firmware_get_device_id (
      FuCoswidFirmware* self
    )

#### Description [src]

Gets the device ID.

Available since: 2.0.17

#### Return value

Type: `const gchar*`

String, or `NULL` for unset.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.